Displaying 20 results from an estimated 99 matches for "70,10".
Did you mean:
70,15
2020 Jan 08
1
[nbdkit PATCH] curl: use CURLINFO_CONTENT_LENGTH_DOWNLOAD_T when available
...a 64-bit
integer value, as opposed to a double (the old information).
---
plugins/curl/curl.c | 23 +++++++++++++++++++++++
1 file changed, 23 insertions(+)
diff --git a/plugins/curl/curl.c b/plugins/curl/curl.c
index 1b0d2b9..e0449b7 100644
--- a/plugins/curl/curl.c
+++ b/plugins/curl/curl.c
@@ -70,6 +70,10 @@ static long protocols = CURLPROTO_ALL;
/* Use '-D curl.verbose=1' to set. */
int curl_debug_verbose = 0;
+#if CURL_AT_LEAST_VERSION(7, 55, 0)
+#define HAVE_CURLINFO_CONTENT_LENGTH_DOWNLOAD_T
+#endif
+
static void
curl_load (void)
{
@@ -290,6 +294,9 @@ curl_open (int reado...
2013 May 01
1
Multiple Paired T test from large Data Set with multiple pairs
Hi,
Assuming that your dataset is similar to the one below:
set.seed(25)
dat1<- data.frame(Algae.Mass=sample(40:50,10,replace=TRUE),Seagrass.Mass=sample(30:70,10,replace=TRUE),Terrestrial.Mass=sample(80:100,10,replace=TRUE),Other.Mass=sample(40:60,10,replace=TRUE),Site.X.Treatment=rep(c("ALA1A","ALA1U"),each=5),stringsAsFactors=FALSE)
library(reshape2)
dat2<-melt(dat1,id.var="Site.X.Treatment")
sapply(split(dat2,dat2$var...
2013 Jul 08
3
[PATCH 1/2] virtio: support unlocked queue poll
...gned last_used_idx = virtqueue_enable_cb_prepare(_vq);
+ return !virtqueue_poll(_vq, last_used_idx);
}
EXPORT_SYMBOL_GPL(virtqueue_enable_cb);
diff --git a/include/linux/virtio.h b/include/linux/virtio.h
index 9ff8645..72398ee 100644
--- a/include/linux/virtio.h
+++ b/include/linux/virtio.h
@@ -70,6 +70,10 @@ void virtqueue_disable_cb(struct virtqueue *vq);
bool virtqueue_enable_cb(struct virtqueue *vq);
+unsigned virtqueue_enable_cb_prepare(struct virtqueue *vq);
+
+bool virtqueue_poll(struct virtqueue *vq, unsigned);
+
bool virtqueue_enable_cb_delayed(struct virtqueue *vq);
void *...
2013 Jul 08
3
[PATCH 1/2] virtio: support unlocked queue poll
...gned last_used_idx = virtqueue_enable_cb_prepare(_vq);
+ return !virtqueue_poll(_vq, last_used_idx);
}
EXPORT_SYMBOL_GPL(virtqueue_enable_cb);
diff --git a/include/linux/virtio.h b/include/linux/virtio.h
index 9ff8645..72398ee 100644
--- a/include/linux/virtio.h
+++ b/include/linux/virtio.h
@@ -70,6 +70,10 @@ void virtqueue_disable_cb(struct virtqueue *vq);
bool virtqueue_enable_cb(struct virtqueue *vq);
+unsigned virtqueue_enable_cb_prepare(struct virtqueue *vq);
+
+bool virtqueue_poll(struct virtqueue *vq, unsigned);
+
bool virtqueue_enable_cb_delayed(struct virtqueue *vq);
void *...
2006 Dec 21
1
heres how to get color output in rspec_autotest with rspec 0.7.5
...options.dry_run, options.colour)
+ formatter = options.formatter_type.new(options.out,
options.dry_run, options.colour, options.force_colour)
options.reporter = Reporter.new(formatter,
options.backtrace_tweaker)
# this doesn''t really belong here.
@@ -71,6 +70,10 @@ module Spec
options.colour = true
end
+ opts.on("-C", "--force-colour", "--force-color", "force
adding color codes regardless of output method") do
+ options.force_colour = true
+ end
+...
2014 Mar 15
4
[supermin 1/2] chroot: Fix corner case introduced with dpkg-divert support
...try
- let path = file.ft_source_path in
+ let path = if file_exists file.ft_source_path
+ then file.ft_source_path
+ else file.ft_path in
let st = lstat path in
let opath = outputdir // file.ft_path in
match st.st_kind with
@@ -68,7 +70,10 @@ let build_chroot debug files outputdir =
(* Second pass: fix up directory permissions in reverse. *)
let dirs = filter_map (
fun file ->
- let st = lstat file.ft_source_path in
+ let path =
+ if file_exists file.ft_source_path then file.ft_source_path
+ e...
2013 Aug 20
2
[PATCH] VMXNET3: Add support for virtual IOMMU
...ead->rssConfDesc.confLen = sizeof(*rssConf);
- devRead->rssConfDesc.confPA = virt_to_phys(rssConf);
+ devRead->rssConfDesc.confLen = cpu_to_le32(sizeof(*rssConf));
+ devRead->rssConfDesc.confPA =
+ cpu_to_le64(adapter->rss_conf_pa);
}
#endif /* VMXNET3_RSS */
@@ -2948,6 +2970,9 @@ vmxnet3_probe_device(struct pci_dev *pdev,
adapter->pdev = pdev;
spin_lock_init(&adapter->cmd_lock);
+ adapter->adapter_pa = pci_map_single(adapter->pdev, adapter,
+ sizeof(struct vmxnet3_adapter),
+ PCI_DMA_TODEVICE);
adapter->shared = pci_alloc_co...
2013 Aug 20
2
[PATCH] VMXNET3: Add support for virtual IOMMU
...ead->rssConfDesc.confLen = sizeof(*rssConf);
- devRead->rssConfDesc.confPA = virt_to_phys(rssConf);
+ devRead->rssConfDesc.confLen = cpu_to_le32(sizeof(*rssConf));
+ devRead->rssConfDesc.confPA =
+ cpu_to_le64(adapter->rss_conf_pa);
}
#endif /* VMXNET3_RSS */
@@ -2948,6 +2970,9 @@ vmxnet3_probe_device(struct pci_dev *pdev,
adapter->pdev = pdev;
spin_lock_init(&adapter->cmd_lock);
+ adapter->adapter_pa = pci_map_single(adapter->pdev, adapter,
+ sizeof(struct vmxnet3_adapter),
+ PCI_DMA_TODEVICE);
adapter->shared = pci_alloc_co...
2016 Aug 31
0
[PATCH] tests: use /etc/os-release in test-harder
...echo $ID)
+ case "$distro" in
+ fedora|rhel|centos) distro=redhat ;;
+ opensuse|sled|sles) distro=suse ;;
+ ubuntu) distro=debian ;;
+ esac
+elif [ -f /etc/arch-release ]; then
distro=arch
elif [ -f /etc/debian_version ]; then
distro=debian
@@ -63,6 +70,10 @@ case $distro in
ibm-powerkvm)
pkgs="augeas hivex tar"
;;
+ *)
+ echo "Unhandled distro '$distro'"
+ exit 77
+ ;;
esac
test "$USE_NETWORK" = 1 || USE_INSTALLED=--use-installed
--
2.7.4
2020 Apr 04
0
[PATCH] nonblocking: remove usleep usage
...-ng.
Signed-off-by: Rosen Penev <rosenp at gmail.com>
---
examples/nonblocking.c | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/examples/nonblocking.c b/examples/nonblocking.c
index 8e38a94..2f15b80 100644
--- a/examples/nonblocking.c
+++ b/examples/nonblocking.c
@@ -70,8 +70,10 @@ int main()
if (ret == SHOUTERR_BUSY)
printf("Connection pending...\n");
+ const struct timespec req = {0, 10 * 1000 * 1000};
+ struct timespec rem;
while (ret == SHOUTERR_BUSY) {
- usleep(10000);
+ nanosleep(&req, &rem);...
2005 Jan 08
1
Re: [Logcheck-commits] CVS logcheck/debian
On Wed, 05 Jan 2005, CVS User ttroxell wrote:
> @@ -70,6 +70,10 @@
> chown logcheck /var/lock/logcheck > /dev/null 2>&1 || true
> fi
>
> + # fix for #284788
> + # update timestamp on cron
> + touch /etc/cron.d/logcheck || true
> +
> ;;
>
> abort-upgrade|abort-remove|abort-deconfigure)...
2004 Dec 14
0
[LLVMdev] misc. patches
...0
> @@ -51,6 +51,7 @@
> unsigned char *CurStubPtr, *CurFunctionPtr;
> public:
> JITMemoryManager();
> + ~JITMemoryManager();
>
> inline unsigned char *allocateStub(unsigned StubSize);
> inline unsigned char *startFunctionBody();
> @@ -69,6 +70,10 @@
> CurStubPtr = CurFunctionPtr = FunctionBase;
> }
>
> +JITMemoryManager::~JITMemoryManager() {
> + sys::Memory::ReleaseRWX(MemBlock);
> +}
> +
> unsigned char *JITMemoryManager::allocateStub(unsigned StubSize) {
> CurStubPtr -= StubSize;
> if (CurSt...
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...it processes on exit.
cleanup ()
{
- status=$?
- trap '' INT QUIT TERM EXIT ERR
- echo $0: cleanup: exit code $status
-
test "$pid1" && kill $pid1
test "$pid2" && kill $pid2
test "$pid3" && kill $pid3
@@ -73,10 +70,8 @@ cleanup ()
echo "Log 4 file contents:"
cat fua4.log || :
rm -f $files
-
- exit $status
}
-trap cleanup INT QUIT TERM EXIT ERR
+cleanup_fn cleanup
# Run four parallel nbdkit; to compare the logs and see what changes.
# 1: fuamode=none (default): client should se...
2013 Jul 09
0
[PATCH v2 1/2] virtio: support unlocked queue poll
...gned last_used_idx = virtqueue_enable_cb_prepare(_vq);
+ return !virtqueue_poll(_vq, last_used_idx);
}
EXPORT_SYMBOL_GPL(virtqueue_enable_cb);
diff --git a/include/linux/virtio.h b/include/linux/virtio.h
index 9ff8645..72398ee 100644
--- a/include/linux/virtio.h
+++ b/include/linux/virtio.h
@@ -70,6 +70,10 @@ void virtqueue_disable_cb(struct virtqueue *vq);
bool virtqueue_enable_cb(struct virtqueue *vq);
+unsigned virtqueue_enable_cb_prepare(struct virtqueue *vq);
+
+bool virtqueue_poll(struct virtqueue *vq, unsigned);
+
bool virtqueue_enable_cb_delayed(struct virtqueue *vq);
void *...
2013 Jul 09
0
[PATCH v2 1/2] virtio: support unlocked queue poll
...gned last_used_idx = virtqueue_enable_cb_prepare(_vq);
+ return !virtqueue_poll(_vq, last_used_idx);
}
EXPORT_SYMBOL_GPL(virtqueue_enable_cb);
diff --git a/include/linux/virtio.h b/include/linux/virtio.h
index 9ff8645..72398ee 100644
--- a/include/linux/virtio.h
+++ b/include/linux/virtio.h
@@ -70,6 +70,10 @@ void virtqueue_disable_cb(struct virtqueue *vq);
bool virtqueue_enable_cb(struct virtqueue *vq);
+unsigned virtqueue_enable_cb_prepare(struct virtqueue *vq);
+
+bool virtqueue_poll(struct virtqueue *vq, unsigned);
+
bool virtqueue_enable_cb_delayed(struct virtqueue *vq);
void *...
2004 Dec 13
6
[LLVMdev] misc. patches
Hi,
here are some minor patches that for various reasons I've not submitted
yet - I'm just trying to clear my list of differences before christmas...
First of all the clear.patch file contains a patch that enables the JIT
to drop all global mappings. I need this because when I have N threads I
compile N different versions of my functions using different memory
areas for global
2010 Mar 23
0
[PATCH node] Fix uninstall to detect and cleanup correct partitions
...- partN=substr($1,length($1),1); partN--;
- print "partN=" partN;
- }')
+ get_part_info $(readlink -f /dev/disk/by-label/$grub_dev_label disk partN
rc=$?
if [ $rc -ne 0 -o $partN -lt 0 ]; then
log "unable to determine Root partition"
@@ -70,10 +65,6 @@ ovirt_boot_setup() {
return 1
fi
- if [ ! -e "$disk" ]; then
- # e.g. c0d0p1
- disk="$disk2"
- fi
# prepare Root partition update
candidate=
if [ -e /dev/disk/by-label/RootBackup ]; t...
2018 Apr 05
2
[nbdkit PATCH] tests: Skip guestfs tests on CentOS 6
...OCOL
+ printf ("libguestfs too old to support nbd disk, skipping\n");
+ exit (77);
+#else
r = guestfs_add_drive_opts (g, "",
GUESTFS_ADD_DRIVE_OPTS_READONLY, 1,
GUESTFS_ADD_DRIVE_OPTS_FORMAT, "raw",
@@ -70,6 +74,7 @@ main (int argc, char *argv[])
-1);
if (r == -1)
exit (EXIT_FAILURE);
+#endif
if (guestfs_launch (g) == -1)
exit (EXIT_FAILURE);
diff --git a/tests/test-delay.c b/tests/test-delay.c
index 47bf380..f037097 100644
--- a/tests/test-delay.c
+++...
2010 Mar 23
1
[PATCH node][RFC] Fix uninstall to detect and cleanup correct partitions
...- partN=substr($1,length($1),1); partN--;
- print "partN=" partN;
- }')
+ get_part_info $(readlink -f /dev/disk/by-label/$grub_dev_label disk partN
rc=$?
if [ $rc -ne 0 -o $partN -lt 0 ]; then
log "unable to determine Root partition"
@@ -70,10 +65,6 @@ ovirt_boot_setup() {
return 1
fi
- if [ ! -e "$disk" ]; then
- # e.g. c0d0p1
- disk="$disk2"
- fi
# prepare Root partition update
candidate=
if [ -e /dev/disk/by-label/RootBackup ]; t...
2013 Aug 23
1
[PATCH] VMXNET3: Add support for virtual IOMMU
..._queue *rq, u32 ring_idx,
rq->stats.rx_buf_alloc_failure++;
break;
}
- rbi->dma_addr = pci_map_page(adapter->pdev,
+ rbi->dma_addr = dma_map_page(
+ &adapter->pdev->dev,
rbi->page, 0, PAGE_SIZE,
PCI_DMA_FROMDEVICE);
} else {
@@ -705,7 +712,7 @@ vmxnet3_map_pkt(struct sk_buff *skb, struct vmxnet3_tx_ctx *ctx,
tbi = tq->buf_info + tq->tx_ring.next2fill;
tbi->map_type = VMXNET3_MAP_SINGLE;
- tbi->dma_addr = pci_map_single(adapter->pdev,
+ tbi->dma_addr = dma_map_single(&adapter->pdev->dev,...